Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038520
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2018-05-11 10:472018-05-25 14:08
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revision055351d43c80
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038520: Deprecate OBDal.registerSQLFunction

DescriptionThe OBDal.registerSQLFunction allows to register SQL functions at runtime in order to make them available in HQL queries.

In the latest Hibernate releases this is no longer possible, and it is only possible to register such functions when Hibernate is being set up (See[1] and [2])

Therefore this method should be deprecated in order to avoid its usage and an alternative mechanism must be provided. This new mechanism should allow to register the SQL functions when Dal is being initialized.

For additional information, see here[3]

[1] https://discourse.hibernate.org/t/hibernate-5-3-register-sql-functions-at-runtime/590 [^]
[2] https://github.com/hibernate/hibernate-orm/commit/52589379e1a93c372a323a9334d12b2f31dc0a7a [^]
[3] http://wiki.openbravo.com/wiki/Projects:Register_SQL_Functions [^]
Steps To ReproduceIn description
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 00186883.0MP5 closedmtaal Openbravo ERP Ability to call database functions from HQL query 
related to feature request 0037064 closedcaristu Openbravo ERP upgrade hibernate 
related to defect 0038559 closedcaristu Openbravo ERP API change: APRMApplicationInitializer is no longer needed 
related to feature request 0018900 newmarvintm Openbravo ERP Automatically register all sql functions at startup 
related to defect 0038578 closedcaristu Retail Modules API change: OBPOSApplicationInitializer is no longer needed 
related to defect 0038632 closedcaristu Openbravo ERP Change log level to warning when using OBDal.registerSQLFunction method 
related to defect 0038749 closedcaristu Openbravo ERP InventoryCountProcess registers SQL functions in a non-standard way 
related to defect 0039095 closedcollazoandy4 Openbravo ERP Update modules to SQLFunctionRegister 

-  Notes
(0104596)
hgbot (developer)
2018-05-21 09:17

Repository: erp/devel/pi
Changeset: 055351d43c802134e5ece1d09f9dd3fa1c50e59f
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Fri May 18 13:37:54 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/055351d43c802134e5ece1d09f9dd3fa1c50e59f [^]

fixes issue 38520: Deprecate OBDal.registerSQLFunction

---
M modules/org.openbravo.base.weld/src/META-INF/beans.xml
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/KernelApplicationInitializer.java
M src-test/src/org/openbravo/test/base/OBBaseTest.java
M src-test/src/org/openbravo/test/dal/IssuesTest.java
M src-test/src/org/openbravo/test/inventoryStatus/InventoryStatusTest.java
M src/build.xml
M src/org/openbravo/base/session/SessionFactoryController.java
M src/org/openbravo/costing/CostingMigrationProcess.java
M src/org/openbravo/dal/core/DalLayerInitializer.java
M src/org/openbravo/dal/core/DalSessionFactoryController.java
M src/org/openbravo/dal/service/OBDal.java
M src/org/openbravo/erpCommon/utility/SystemInfo.java
A modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/utility/APRMSQLFunctionRegister.java
A modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/KernelSQLFunctionRegister.java
A src/org/openbravo/dal/core/SQLFunctionRegister.java
R modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/utility/APRMApplicationInitializer.java
---
(0104598)
hgbot (developer)
2018-05-21 09:19

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 24f64c55b57d8b0ffc87e090ca101fcfd0f1b31f
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon May 21 09:19:08 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/24f64c55b57d8b0ffc87e090ca101fcfd0f1b31f [^]

related to issue 38520: Deprecate OBDal.registerSQLFunction

---
A src/org/openbravo/retail/posterminal/utility/OBPOSSQLFunctionRegister.java
R src/org/openbravo/retail/posterminal/utility/OBPOSApplicationInitializer.java
---
(0104600)
hgbot (developer)
2018-05-21 09:22

Repository: erp/pmods/org.openbravo.mobile.warehouse.physicalinventory
Changeset: 67ce91c8b3b5702a7950003dca0c88424c2eea36
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon May 21 09:22:08 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.warehouse.physicalinventory/rev/67ce91c8b3b5702a7950003dca0c88424c2eea36 [^]

related to issue 38520: Deprecate OBDal.registerSQLFunction

---
M src/org/openbravo/mobile/warehouse/physicalinventory/process/InventoryCountLine.java
A src/org/openbravo/mobile/warehouse/physicalinventory/WHSQLFunctionRegister.java
---
(0104601)
hgbot (developer)
2018-05-21 09:29

Repository: erp/pmods/org.openbravo.certification.france.testing
Changeset: 9117a43e26b6a3d080c076396c5663a6fc897cef
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon May 21 09:29:17 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.certification.france.testing/rev/9117a43e26b6a3d080c076396c5663a6fc897cef [^]

related to issue 38520: Deprecate OBDal.registerSQLFunction

---
M src-test/org/openbravo/certification/france/testing/blockchain/test/OBCFRBlockchainCreateData.java
M src-test/org/openbravo/certification/france/testing/blockchain/test/OBCFRBlockchainTestBase.java
M src-test/org/openbravo/certification/france/testing/ticket/test/OBCFRTicketTestBase.java
M src-test/org/openbravo/certification/france/testing/ticket/test/OBCFRaTicketCreateData.java
M src-test/org/openbravo/certification/france/testing/utils/OBCFRTicketUtils.java
---
(0104602)
hgbot (developer)
2018-05-21 09:30

Repository: erp/mods/org.openbravo.distributionorder
Changeset: 849edab085c27f6cc990167c763296687b2e92e4
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon May 21 09:30:21 2018 +0200
URL: http://code.openbravo.com/erp/mods/org.openbravo.distributionorder/rev/849edab085c27f6cc990167c763296687b2e92e4 [^]

related to issue 38520: Deprecate OBDal.registerSQLFunction

---
M src-test/org/openbravo/distributionorder/test/OBDO_FB_WeldBaseTest.java
---
(0104603)
hgbot (developer)
2018-05-21 09:32

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.distributionorders
Changeset: 739f8a53518887c1148e95c0796d70cbcaf949b0
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon May 21 09:32:07 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.distributionorders/rev/739f8a53518887c1148e95c0796d70cbcaf949b0 [^]

related to issue 38520: Deprecate OBDal.registerSQLFunction

---
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/distributionorders/test/OBDOReservationTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/distributionorders/test/OBDOTaskWithAttributeTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/distributionorders/test/OBDOWithAWOTests.java
---
(0104604)
hgbot (developer)
2018-05-21 09:33

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 93d393aef76505f6e131523666c97582596c2ead
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon May 21 09:33:10 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/93d393aef76505f6e131523666c97582596c2ead [^]

related to issue 38520: Deprecate OBDal.registerSQLFunction

---
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOa_BasicFunctionalFlowsWithoutAWOPreference.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOb_BasicFunctionalFlowsWithAWOPreference.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOc_AWOFunctionalFlows.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOd_AWOFunctionalFlowsWithAttribute.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOe_PAAlgorithms.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOf_PAAlgorithmsWithCapacity.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOg_PKAlgorithms.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOh_InventoryStatusWithAWOEnabled.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOi_InventoryStatusWithoutAWOEnabled.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOj_Occupancy.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOk_DeltaManagement.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOl_Rounding.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOm_WarehouseConfigurationCheck.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOn_ITTRoutingBaseTaskTypeMismatch.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOo_JsonDescription.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOq_PendingPickingLines.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOri_ReferencedInventoryBoxTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOri_RemoveReferenceFlagConfigurationChecks.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOzz_HighVolume.java
A src/org/openbravo/warehouse/advancedwarehouseoperations/init/AWOSQLFunctionRegister.java
R src/org/openbravo/warehouse/advancedwarehouseoperations/init/AWOApplicationInitializer.java
---
(0104605)
hgbot (developer)
2018-05-21 09:36

Repository: erp/pmods/org.openbravo.module.aeat190.es
Changeset: 9f49c3f058e8e50bbb9d847810b9a1b29c4832d6
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon May 21 09:36:19 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.module.aeat190.es/rev/9f49c3f058e8e50bbb9d847810b9a1b29c4832d6 [^]

related to issue 38520: Deprecate OBDal.registerSQLFunction

---
M src/org/openbravo/module/aeat190/es/report/AEAT190ReportDao.java
A src/org/openbravo/module/aeat190/es/util/AEAT190SQLFunctionRegister.java
---
(0104606)
hgbot (developer)
2018-05-21 09:38

Repository: erp/pmods/org.openbravo.module.resources
Changeset: 875bc76407a28ad28779162ebc3c5daebec89e01
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon May 21 09:38:06 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.module.resources/rev/875bc76407a28ad28779162ebc3c5daebec89e01 [^]

related to issue 38520: Deprecate OBDal.registerSQLFunction

---
A src/org/openbravo/module/resources/initializer/ResourcesSQLFunctionRegister.java
R src/org/openbravo/module/resources/initializer/ResourcesInitializer.java
---
(0104607)
hgbot (developer)
2018-05-21 09:39

Repository: erp/pmods/org.openbravo.idl
Changeset: f561bee830c4e3c5f1cf6276ea318557d3e1066c
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon May 21 09:39:36 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.idl/rev/f561bee830c4e3c5f1cf6276ea318557d3e1066c [^]

related to issue 38520: Deprecate OBDal.registerSQLFunction

---
A src/org/openbravo/idl/databaseProcess/IDLSQLFunctionRegister.java
R src/org/openbravo/idl/databaseProcess/IsOrgIncluded.java
---
(0104608)
hgbot (developer)
2018-05-21 09:42

Repository: erp/pmods/org.openbravo.module.invoiceTaxReportEnhanced30.cashvat
Changeset: 0e0bd3d653997e0db05d293b82c89198e65ba5bf
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon May 21 09:41:47 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.module.invoiceTaxReportEnhanced30.cashvat/rev/0e0bd3d653997e0db05d293b82c89198e65ba5bf [^]

related to issue 38520: Deprecate OBDal.registerSQLFunction

---
A src/org/openbravo/module/invoiceTaxReportEnhanced30/cashvat/databaseProcess/OBMTRCVGSQLFunctionRegister.java
R src/org/openbravo/module/invoiceTaxReportEnhanced30/cashvat/databaseProcess/AdColumnIdentifier.java
R src/org/openbravo/module/invoiceTaxReportEnhanced30/cashvat/databaseProcess/OBMTRCVGetAmt.java
R src/org/openbravo/module/invoiceTaxReportEnhanced30/cashvat/databaseProcess/OBMTRCVGetCountryName.java
R src/org/openbravo/module/invoiceTaxReportEnhanced30/cashvat/databaseProcess/OBMTRCVGetSettlementDate.java
---
(0104610)
hgbot (developer)
2018-05-21 09:43

Repository: erp/pmods/org.openbravo.module.aeat347apr.es
Changeset: 143bb00a3fcab0a70ac2626deed92a82aa066b86
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon May 21 09:43:06 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.module.aeat347apr.es/rev/143bb00a3fcab0a70ac2626deed92a82aa066b86 [^]

related to issue 38520: Deprecate OBDal.registerSQLFunction

---
M src/org/openbravo/module/aeat347apr/es/AEAT347ReportAPRDao.java
A src/org/openbravo/module/aeat347apr/es/utility/AEAT347SQLFunctionRegister.java
---
(0104611)
hgbot (developer)
2018-05-21 09:44

Repository: erp/mods/org.openbravo.module.remittance
Changeset: 8bd3db56401c38a8d6e5ee94ae0dc57e9dc2d299
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon May 21 09:44:22 2018 +0200
URL: http://code.openbravo.com/erp/mods/org.openbravo.module.remittance/rev/8bd3db56401c38a8d6e5ee94ae0dc57e9dc2d299 [^]

related to issue 38520: Deprecate OBDal.registerSQLFunction

---
A src/org/openbravo/module/remittance/REMSQLFunctionRegister.java
R src/org/openbravo/module/remittance/REMApplicationInitializer.java
---
(0104612)
hgbot (developer)
2018-05-21 09:45

Repository: erp/pmods/org.openbravo.module.invoiceTaxReportEnhanced30
Changeset: 0e2ce09dae213dbcc721abf7bc99b64f997cc51d
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon May 21 09:45:16 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.module.invoiceTaxReportEnhanced30/rev/0e2ce09dae213dbcc721abf7bc99b64f997cc51d [^]

related to issue 38520: Deprecate OBDal.registerSQLFunction

---
A src/org/openbravo/module/invoiceTaxReportEnhanced30/databaseProcess/OBMTR30SQLFunctionRegister.java
R src/org/openbravo/module/invoiceTaxReportEnhanced30/databaseProcess/AdColumnIdentifier.java
R src/org/openbravo/module/invoiceTaxReportEnhanced30/databaseProcess/OBMTR30GetCountryName.java
---
(0104615)
hgbot (developer)
2018-05-21 10:50

Repository: erp/devel/pi
Changeset: 0ac5c4647a10169fa341c054c891d2dd04451c6a
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon May 21 10:50:06 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/0ac5c4647a10169fa341c054c891d2dd04451c6a [^]

related to issue 38520: disable the warning temporarily to make CI stable

---
M src/org/openbravo/dal/service/OBDal.java
---
(0104617)
hgbot (developer)
2018-05-21 11:22

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: b8614786699206f4fd743f37e60d6fe591fac658
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon May 21 11:21:46 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/b8614786699206f4fd743f37e60d6fe591fac658 [^]

related to issue 38520: put correct license text

---
M src/org/openbravo/retail/posterminal/utility/OBPOSSQLFunctionRegister.java
---
(0104618)
hgbot (developer)
2018-05-21 12:32

Repository: erp/devel/pi
Changeset: c7d184de88d89e43052905aa62f054dfc220b6f6
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon May 21 12:30:20 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/c7d184de88d89e43052905aa62f054dfc220b6f6 [^]

related to issue 38520: catch Throwable

  catch Throwable to avoid the failure of the export.database task which is throwing a NoClassDefFoundError when trying to recover the DalSessionFactoryController with weld

---
M src/org/openbravo/dal/core/DalLayerInitializer.java
---
(0104623)
hudsonbot (developer)
2018-05-21 18:36

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/915bf19e1d5b [^]
Maturity status: Test
(0104624)
hudsonbot (developer)
2018-05-21 18:36

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/915bf19e1d5b [^]
Maturity status: Test
(0104625)
hudsonbot (developer)
2018-05-21 18:36

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/915bf19e1d5b [^]
Maturity status: Test
(0104633)
hgbot (developer)
2018-05-22 17:52

Repository: erp/devel/pi
Changeset: 6c488ffc516236cf0857a40afaf58029a11a7b0c
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Tue May 22 17:51:09 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/6c488ffc516236cf0857a40afaf58029a11a7b0c [^]

related to issue 38520: fix test case problems

 - Add check to avoid DAL layer re-initialization if the SQL functions are already registered
 - Now WeldBaseTests by default register all the SQL functions provided by the SQLFunctionRegister instances

---
M modules/org.openbravo.base.weld/src-test/org/openbravo/base/weld/test/WeldBaseTest.java
M src-test/src/org/openbravo/test/base/OBBaseTest.java
---
(0104634)
hgbot (developer)
2018-05-22 17:58

Repository: erp/mods/org.openbravo.distributionorder
Changeset: cec4ec155ce3025294dd632bd867c1113b96e48e
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Tue May 22 17:58:26 2018 +0200
URL: http://code.openbravo.com/erp/mods/org.openbravo.distributionorder/rev/cec4ec155ce3025294dd632bd867c1113b96e48e [^]

related to issue 38520: Deprecate OBDal.registerSQLFunction

  Now WeldBaseTest registers SQL functions automatically. Do not need to register them explicitly.

---
M src-test/org/openbravo/distributionorder/test/OBDO_FB_WeldBaseTest.java
---
(0104635)
hgbot (developer)
2018-05-22 18:01

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.distributionorders
Changeset: ae6b0f90bbd2773f80bfaa905eefe8c24b686231
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Tue May 22 18:01:37 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.distributionorders/rev/ae6b0f90bbd2773f80bfaa905eefe8c24b686231 [^]

related to issue 38520: Deprecate OBDal.registerSQLFunction

  Now WeldBaseTest registers SQL functions automatically. Do not need to register them explicitly.

---
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/distributionorders/test/OBDOReservationTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/distributionorders/test/OBDOTaskWithAttributeTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/distributionorders/test/OBDOWithAWOTests.java
---
(0104636)
hgbot (developer)
2018-05-22 18:13

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: b14c9b671e1df61c991dcb6b13bbced21d111b44
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Tue May 22 18:13:19 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/b14c9b671e1df61c991dcb6b13bbced21d111b44 [^]

related to issue 38520: Deprecate OBDal.registerSQLFunction

  Now WeldBaseTest registers SQL functions automatically. Do not need to register them explicitly.

---
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOa_BasicFunctionalFlowsWithoutAWOPreference.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOb_BasicFunctionalFlowsWithAWOPreference.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOc_AWOFunctionalFlows.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOd_AWOFunctionalFlowsWithAttribute.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOe_PAAlgorithms.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOf_PAAlgorithmsWithCapacity.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOg_PKAlgorithms.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOh_InventoryStatusWithAWOEnabled.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOi_InventoryStatusWithoutAWOEnabled.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOj_Occupancy.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOk_DeltaManagement.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOl_Rounding.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOm_WarehouseConfigurationCheck.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOn_ITTRoutingBaseTaskTypeMismatch.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOo_JsonDescription.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOq_PendingPickingLines.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOri_ReferencedInventoryBoxTest.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOri_RemoveReferenceFlagConfigurationChecks.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOzz_HighVolume.java
---
(0104637)
hgbot (developer)
2018-05-22 19:18

Repository: erp/devel/pi
Changeset: e81a78a7757b8a6b95ddb6797b4191d430d8621a
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Tue May 22 19:18:03 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/e81a78a7757b8a6b95ddb6797b4191d430d8621a [^]

related to issue 38520: fix test case problems

 - Initialize test observers after DAL re-initialization done to register SQL functions. This way the observers will get the references of the entities in the refreshed DAL layer

---
M modules/org.openbravo.client.application/src-test/org/openbravo/client/application/test/event/ObserverBaseTest.java
---
(0104639)
hgbot (developer)
2018-05-23 08:59

Repository: erp/devel/pi
Changeset: 0615284678a28428e666afb5e23b2a44b96d9ec3
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed May 23 08:58:43 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/0615284678a28428e666afb5e23b2a44b96d9ec3 [^]

related to issue 38520: fix test case problems

  - Keep resetting the execution count before doing the setUp, and refresh the entities of the observers just in case the DAL layer has been reinitialized

---
M modules/org.openbravo.client.application/src-test/org/openbravo/client/application/test/event/ObserverBaseTest.java
M modules/org.openbravo.client.application/src-test/org/openbravo/client/application/test/event/OrderLineTestObserver.java
M modules/org.openbravo.client.application/src-test/org/openbravo/client/application/test/event/OrderTestObserver.java
---
(0104651)
hgbot (developer)
2018-05-23 14:05

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.distributionorders
Changeset: 0a1450bce3c80f47adc8d8a8ddc779a32a570ce7
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed May 23 14:05:05 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.distributionorders/rev/0a1450bce3c80f47adc8d8a8ddc779a32a570ce7 [^]

related to issue 38520: Deprecate OBDal.registerSQLFunction

  Set the internal routing autoconfirmation on @Before instead of on @BeforeClass to avoid losing that configuration when the DAL layer is reinitialized

---
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/distributionorders/test/OBDOReservationTest.java
---
(0104657)
hudsonbot (developer)
2018-05-23 17:12

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/e2e136f3822e [^]
Maturity status: Test
(0104658)
hudsonbot (developer)
2018-05-23 17:12

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/e2e136f3822e [^]
Maturity status: Test
(0104659)
hudsonbot (developer)
2018-05-23 17:12

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/e2e136f3822e [^]
Maturity status: Test
(0104662)
hgbot (developer)
2018-05-23 17:39

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: af67689767d8559b37d10f1e889a46752c88808f
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Wed May 23 14:03:10 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/af67689767d8559b37d10f1e889a46752c88808f [^]

[alc] related to issue 38520: Deprecate OBDal.registerSQLFunction

---
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOs_AttributeLifeCycle.java
---
(0104666)
hgbot (developer)
2018-05-24 10:01

Repository: erp/pmods/org.openbravo.module.resources
Changeset: 59b1d7f97c4af23dca3289e148f6d352d09a1acc
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Thu May 24 10:01:22 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.module.resources/rev/59b1d7f97c4af23dca3289e148f6d352d09a1acc [^]

related to issue 38520: removed sql function register
because the function is not called from hibernate anymore

---
R src/org/openbravo/module/resources/initializer/ResourcesSQLFunctionRegister.java
---
(0104667)
hgbot (developer)
2018-05-24 10:07

Repository: erp/pmods/org.openbravo.module.resources
Changeset: 5185aeaf850f4d79993c147ead5fc42922a66f17
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Thu May 24 10:05:21 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.module.resources/rev/5185aeaf850f4d79993c147ead5fc42922a66f17 [^]

related to issue 38520: Backed out changeset 59b1d7f97c4a
obre_getreservationduration is still called by Hibernate

---
A src/org/openbravo/module/resources/initializer/ResourcesSQLFunctionRegister.java
---
(0104668)
hgbot (developer)
2018-05-24 10:07

Repository: erp/pmods/org.openbravo.module.resources
Changeset: 4dd432e78c7b607e76d2ff6e9255930935d0bef8
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Thu May 24 10:06:42 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.module.resources/rev/4dd432e78c7b607e76d2ff6e9255930935d0bef8 [^]

related to issue 38520: removed obre_getreservations register
because this function is not really used

---
M src/org/openbravo/module/resources/initializer/ResourcesSQLFunctionRegister.java
---
(0104699)
hgbot (developer)
2018-05-25 09:47

Repository: erp/devel/pi
Changeset: 0925acaeda02e20214acee028e54f75881fc7684
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Fri May 25 09:47:05 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/0925acaeda02e20214acee028e54f75881fc7684 [^]

related to issue 38520: change log level to info

---
M src/org/openbravo/dal/service/OBDal.java
---
(0104701)
alostale (developer)
2018-05-25 09:50

Tested and reviewed [1]

[1] https://docs.google.com/spreadsheets/d/1KGuiPpLhOSwkcl1V_0w1Sj30hL1SBhwl27nxJOl21Zk/edit#gid=0 [^]
(0104720)
hudsonbot (developer)
2018-05-25 14:08

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/608c319c941f [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-05-11 10:47 caristu New Issue
2018-05-11 10:47 caristu Assigned To => platform
2018-05-11 10:47 caristu Modules => Core
2018-05-11 10:47 caristu Triggers an Emergency Pack => No
2018-05-11 10:48 caristu Relationship added related to 0018688
2018-05-11 10:48 caristu Assigned To platform => caristu
2018-05-11 10:50 caristu Relationship added related to 0037064
2018-05-16 11:32 caristu Relationship added related to 0038559
2018-05-18 09:00 caristu Relationship added related to 0038578
2018-05-18 11:27 caristu Description Updated View Revisions
2018-05-21 09:17 hgbot Checkin
2018-05-21 09:17 hgbot Note Added: 0104596
2018-05-21 09:17 hgbot Status new => resolved
2018-05-21 09:17 hgbot Resolution open => fixed
2018-05-21 09:17 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/055351d43c802134e5ece1d09f9dd3fa1c50e59f [^]
2018-05-21 09:19 hgbot Checkin
2018-05-21 09:19 hgbot Note Added: 0104598
2018-05-21 09:22 hgbot Checkin
2018-05-21 09:22 hgbot Note Added: 0104600
2018-05-21 09:29 hgbot Checkin
2018-05-21 09:29 hgbot Note Added: 0104601
2018-05-21 09:30 hgbot Checkin
2018-05-21 09:30 hgbot Note Added: 0104602
2018-05-21 09:32 hgbot Checkin
2018-05-21 09:32 hgbot Note Added: 0104603
2018-05-21 09:33 hgbot Checkin
2018-05-21 09:33 hgbot Note Added: 0104604
2018-05-21 09:36 hgbot Checkin
2018-05-21 09:36 hgbot Note Added: 0104605
2018-05-21 09:38 hgbot Checkin
2018-05-21 09:38 hgbot Note Added: 0104606
2018-05-21 09:39 hgbot Checkin
2018-05-21 09:39 hgbot Note Added: 0104607
2018-05-21 09:42 hgbot Checkin
2018-05-21 09:42 hgbot Note Added: 0104608
2018-05-21 09:43 hgbot Checkin
2018-05-21 09:43 hgbot Note Added: 0104610
2018-05-21 09:44 hgbot Checkin
2018-05-21 09:44 hgbot Note Added: 0104611
2018-05-21 09:45 hgbot Checkin
2018-05-21 09:45 hgbot Note Added: 0104612
2018-05-21 10:50 hgbot Checkin
2018-05-21 10:50 hgbot Note Added: 0104615
2018-05-21 11:22 hgbot Checkin
2018-05-21 11:22 hgbot Note Added: 0104617
2018-05-21 12:08 caristu Relationship added related to 0018900
2018-05-21 12:32 hgbot Checkin
2018-05-21 12:32 hgbot Note Added: 0104618
2018-05-21 12:37 caristu Review Assigned To => alostale
2018-05-21 18:36 hudsonbot Checkin
2018-05-21 18:36 hudsonbot Note Added: 0104623
2018-05-21 18:36 hudsonbot Checkin
2018-05-21 18:36 hudsonbot Note Added: 0104624
2018-05-21 18:36 hudsonbot Checkin
2018-05-21 18:36 hudsonbot Note Added: 0104625
2018-05-22 17:52 hgbot Checkin
2018-05-22 17:52 hgbot Note Added: 0104633
2018-05-22 17:58 hgbot Checkin
2018-05-22 17:58 hgbot Note Added: 0104634
2018-05-22 18:01 hgbot Checkin
2018-05-22 18:01 hgbot Note Added: 0104635
2018-05-22 18:13 hgbot Checkin
2018-05-22 18:13 hgbot Note Added: 0104636
2018-05-22 19:18 hgbot Checkin
2018-05-22 19:18 hgbot Note Added: 0104637
2018-05-23 08:32 hgbot Checkin
2018-05-23 08:32 hgbot Note Added: 0104638
2018-05-23 08:59 hgbot Checkin
2018-05-23 08:59 hgbot Note Added: 0104639
2018-05-23 09:02 caristu Note Deleted: 0104638
2018-05-23 14:05 hgbot Checkin
2018-05-23 14:05 hgbot Note Added: 0104651
2018-05-23 17:12 hudsonbot Checkin
2018-05-23 17:12 hudsonbot Note Added: 0104657
2018-05-23 17:12 hudsonbot Checkin
2018-05-23 17:12 hudsonbot Note Added: 0104658
2018-05-23 17:12 hudsonbot Checkin
2018-05-23 17:12 hudsonbot Note Added: 0104659
2018-05-23 17:39 hgbot Checkin
2018-05-23 17:39 hgbot Note Added: 0104662
2018-05-24 10:01 hgbot Checkin
2018-05-24 10:01 hgbot Note Added: 0104666
2018-05-24 10:07 hgbot Checkin
2018-05-24 10:07 hgbot Note Added: 0104667
2018-05-24 10:07 hgbot Checkin
2018-05-24 10:07 hgbot Note Added: 0104668
2018-05-25 09:47 hgbot Checkin
2018-05-25 09:47 hgbot Note Added: 0104699
2018-05-25 09:50 alostale Note Added: 0104701
2018-05-25 09:50 alostale Status resolved => closed
2018-05-25 09:50 alostale Fixed in Version => 3.0PR18Q3
2018-05-25 13:19 caristu Relationship added related to 0038632
2018-05-25 14:08 hudsonbot Checkin
2018-05-25 14:08 hudsonbot Note Added: 0104720
2018-06-13 12:15 caristu Relationship added related to 0038749
2018-08-06 09:50 Sandrahuguet Relationship added related to 0039093
2018-08-06 17:04 collazoandy4 Relationship deleted related to 0039093
2018-08-06 21:42 collazoandy4 Relationship added related to 0039095


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker